Añadir clave GPG a RPM para verificar paquetes

Recientemente, al actualizar el paquete google-talkplugin, recibía este error:

Error grave: package google-talkplugin-5.41.3.0-1.x86_64 cannot be verified and repo google-talkplugin is GPG enabled: failed to lookup digest in keyring for /var/cache/PackageKit/24/metadata/google-talkplugin/packages/google-talkplugin-5.41.3.0-1.x86_64.rpm

Diciéndome, básicamente, que no se puede verificar el paquete porque no se dispone de la clave pública que se usó para firmarlo.

Continúa leyendo Añadir clave GPG a RPM para verificar paquetes

Anuncios

Autoinstalador de paquetes en Fedora

No sé si esto está disponible en otras distribuciones, pero es una pasada. Escribes un comando, y si no encuentra el paquete que lo ejecuta, te lo instala automáticamente:

Continúa leyendo Autoinstalador de paquetes en Fedora

Instalar paquetes con PackageKit desde CLI

Tradicionalmente, cada distribución Linux ha usado un gestor de paquetes:

  • Debian con apt-get.
  • RHEL/CentOS con yum.
  • Fedora ahora con dnf.
  • Arch con pacman
  • Etc.

Por ello, hace unos años surgió la iniciativa de PackageKit, un framework de gestión de paquetes que proporciona una capa de estandarización sobre ellos.

Continúa leyendo Instalar paquetes con PackageKit desde CLI

Fedora 18 Spherical Cow… apesta

Desde que entré en Fedora, me ha encantado por multitud de motivos, pero he de reconocer que, desde el instante en que metí el CD de instalación empezaron los problemas con Fedora 18.

Prácticamente no ha pasado un día sin que me tope de narices con un bug nuevo. Al menos ABRT ha mejorado mucho y la mayoría los envía automáticamente, pero sigue siendo un asco. Es súmamente inestable, en serio. Tanto que estoy empezando a plantearme pasarme a CentOS para mi escritorio…

El nuevo Anaconda (instalador) está bastante bien, pero sigue sin alcanzar la eficacia y sencillez que tiene desde hace años el instalador de Ubuntu. No sé por qué no han usado ese (o un fork) sin más.

Gnome 3.6 añade muchas cosas y no se preocupa de dar estabilidad a lo que ya tienen:

  • Gnome Contacts va más lento que un desfile de cojos, y no busca bien en la Shell.
  • Banshee directamente no funciona.
  • Gnome Shell sigue dando problemas aleatorios sin sentido, colgándose constantemente y consumiendo memoria como el alzheimer.
  • Empathy no permite elegir una cuenta SIP para llamar por teléfono. No sé para vosotros, pero para mí es fundamental.
  • El nuevo y mejorado recortado Nautilus ha perdido tantas cosas que, no importa cuán básico fuera el uso que le dabas, algo echarás de menos.
  • El nuevo Evolution no configura bien las cuentas de Hotmail.
  • No se pueden instalar RPMs haciendo doble click. Tendrás que hacerlo por terminal.

Para colmo, hay algunos paquetes que usan Gstreamer 0.10 y otros que usan el 1.0, y eso significa que debes instalar el doble de plugins para que todo funcione. No es problema una vez lo sabes, pero tirarme 45 minutos tratando de averiguar por qué Totem se negaba a reproducir un vídeo cuando tenía todos los paquetes de Gstreamer 0.10 instalados no me fue muy grato. Oh, claro, y tampoco debería ser problema porque PackageKit se encargaría de buscar los plugins correspondientes, pero eso tampoco funciona en esta versión debido a otro bug. Y no funciona en ninguna de las 2 versiones de Gstreamer.

Desesperante.

Supongo que poco a poco irá mejorando, pero si estás disfrutando de cualquier otra distro, incluyendo Fedora 17, espérate un tiempo antes de probar Fedora 18.